import Vue from 'vue';
import App from '@/App.vue';
import router from '@/router';
import ElementUI from 'element-ui';
import '@/styles/index.scss'
import mixinApp from '@/mixins/app';
import VueI18n from 'vue-i18n';
import { messages } from '@/i18n';
import 'babel-polyfill';
import '@/libs/resize';
import api from '@/api';
import store from '@/store'
import {post,get,del,put} from '@/plugins/requests/index.js';
import permission from '@/router/permission';
import Setting from '@/setting';

// 插件
import plugins from '@/plugins';

Vue.use(plugins);

Vue.prototype.api = api;
Vue.prototype.$get = get;
Vue.prototype.$post = post;
Vue.prototype.$del = del;
Vue.prototype.$put = put;

Vue.config.productionTip = false;
Vue.use(VueI18n);
Vue.use(ElementUI);
const i18n = new VueI18n({
    locale: Setting.i18n.default,
    messages
});

new Vue({
    mixins: [mixinApp],
    router,
    store,
    i18n,
    render: h => h(App)
}).$mount('#app');
